org.apache.cassandra.io.sstable

## Class KeyIterator

- java.lang.Object
- - org.apache.cassandra.utils.AbstractIterator<DecoratedKey>
  - - org.apache.cassandra.io.sstable.KeyIterator

All Implemented Interfaces:
  com.google.common.collect.PeekingIterator<DecoratedKey>, java.lang.AutoCloseable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

    public class KeyIterator
    extends AbstractIterator<DecoratedKey>
    implements CloseableIterator<DecoratedKey>

### Constructor Summary

Constructors
Constructor and Description
`KeyIterator(Descriptor desc, CFMetaData metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected DecoratedKey` `computeNext()`
`long` `getBytesRead()`
`long` `getKeyPosition()`
`long` `getTotalBytes()`

### Methods inherited from class org.apache.cassandra.utils.AbstractIterator

`endOfData, hasNext, next, peek, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Constructor Detail

#### KeyIterator

    public KeyIterator(Descriptor desc,
                       CFMetaData metadata)

### Method Detail

#### computeNext

    protected DecoratedKey computeNext()

Specified by:
  `computeNext` in class `AbstractIterator<DecoratedKey>`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `CloseableIterator<DecoratedKey>`

#### getBytesRead

    public long getBytesRead()

#### getTotalBytes

    public long getTotalBytes()

#### getKeyPosition

    public long getKeyPosition()